<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for MessageSearchRow StructType
 * @subpackage Structs
 */
class MessageSearchRow extends SearchRow
{
    /**
     * The basic
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\MessageSearchRowBasic
     */
    public $basic;
    /**
     * The attachmentsJoin
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\FileSearchRowBasic
     */
    public $attachmentsJoin;
    /**
     * The authorJoin
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\EntitySearchRowBasic
     */
    public $authorJoin;
    /**
     * The campaignJoin
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\CampaignSearchRowBasic
     */
    public $campaignJoin;
    /**
     * The caseJoin
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SupportCaseSearchRowBasic
     */
    public $caseJoin;
    /**
     * The contactJoin
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\ContactSearchRowBasic
     */
    public $contactJoin;
    /**
     * The customerJoin
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\CustomerSearchRowBasic
     */
    public $customerJoin;
    /**
     * The employeeJoin
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\EmployeeSearchRowBasic
     */
    public $employeeJoin;
    /**
     * The entityJoin
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\EntitySearchRowBasic
     */
    public $entityJoin;
    /**
     * The opportunityJoin
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\OpportunitySearchRowBasic
     */
    public $opportunityJoin;
    /**
     * The originatingLeadJoin
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\OriginatingLeadSearchRowBasic
     */
    public $originatingLeadJoin;
    /**
     * The partnerJoin
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\PartnerSearchRowBasic
     */
    public $partnerJoin;
    /**
     * The recipientJoin
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\EntitySearchRowBasic
     */
    public $recipientJoin;
    /**
     * The transactionJoin
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\TransactionSearchRowBasic
     */
    public $transactionJoin;
    /**
     * The userJoin
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\EmployeeSearchRowBasic
     */
    public $userJoin;
    /**
     * The vendorJoin
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\VendorSearchRowBasic
     */
    public $vendorJoin;
    /**
     * Constructor method for MessageSearchRow
     * @uses MessageSearchRow::setBasic()
     * @uses MessageSearchRow::setAttachmentsJoin()
     * @uses MessageSearchRow::setAuthorJoin()
     * @uses MessageSearchRow::setCampaignJoin()
     * @uses MessageSearchRow::setCaseJoin()
     * @uses MessageSearchRow::setContactJoin()
     * @uses MessageSearchRow::setCustomerJoin()
     * @uses MessageSearchRow::setEmployeeJoin()
     * @uses MessageSearchRow::setEntityJoin()
     * @uses MessageSearchRow::setOpportunityJoin()
     * @uses MessageSearchRow::setOriginatingLeadJoin()
     * @uses MessageSearchRow::setPartnerJoin()
     * @uses MessageSearchRow::setRecipientJoin()
     * @uses MessageSearchRow::setTransactionJoin()
     * @uses MessageSearchRow::setUserJoin()
     * @uses MessageSearchRow::setVendorJoin()
     * @param \StructType\MessageSearchRowBasic $basic
     * @param \StructType\FileSearchRowBasic $attachmentsJoin
     * @param \StructType\EntitySearchRowBasic $authorJoin
     * @param \StructType\CampaignSearchRowBasic $campaignJoin
     * @param \StructType\SupportCaseSearchRowBasic $caseJoin
     * @param \StructType\ContactSearchRowBasic $contactJoin
     * @param \StructType\CustomerSearchRowBasic $customerJoin
     * @param \StructType\EmployeeSearchRowBasic $employeeJoin
     * @param \StructType\EntitySearchRowBasic $entityJoin
     * @param \StructType\OpportunitySearchRowBasic $opportunityJoin
     * @param \StructType\OriginatingLeadSearchRowBasic $originatingLeadJoin
     * @param \StructType\PartnerSearchRowBasic $partnerJoin
     * @param \StructType\EntitySearchRowBasic $recipientJoin
     * @param \StructType\TransactionSearchRowBasic $transactionJoin
     * @param \StructType\EmployeeSearchRowBasic $userJoin
     * @param \StructType\VendorSearchRowBasic $vendorJoin
     */
    public function __construct(\StructType\MessageSearchRowBasic $basic = null, \StructType\FileSearchRowBasic $attachmentsJoin = null, \StructType\EntitySearchRowBasic $authorJoin = null, \StructType\CampaignSearchRowBasic $campaignJoin = null, \StructType\SupportCaseSearchRowBasic $caseJoin = null, \StructType\ContactSearchRowBasic $contactJoin = null, \StructType\CustomerSearchRowBasic $customerJoin = null, \StructType\EmployeeSearchRowBasic $employeeJoin = null, \StructType\EntitySearchRowBasic $entityJoin = null, \StructType\OpportunitySearchRowBasic $opportunityJoin = null, \StructType\OriginatingLeadSearchRowBasic $originatingLeadJoin = null, \StructType\PartnerSearchRowBasic $partnerJoin = null, \StructType\EntitySearchRowBasic $recipientJoin = null, \StructType\TransactionSearchRowBasic $transactionJoin = null, \StructType\EmployeeSearchRowBasic $userJoin = null, \StructType\VendorSearchRowBasic $vendorJoin = null)
    {
        $this
            ->setBasic($basic)
            ->setAttachmentsJoin($attachmentsJoin)
            ->setAuthorJoin($authorJoin)
            ->setCampaignJoin($campaignJoin)
            ->setCaseJoin($caseJoin)
            ->setContactJoin($contactJoin)
            ->setCustomerJoin($customerJoin)
            ->setEmployeeJoin($employeeJoin)
            ->setEntityJoin($entityJoin)
            ->setOpportunityJoin($opportunityJoin)
            ->setOriginatingLeadJoin($originatingLeadJoin)
            ->setPartnerJoin($partnerJoin)
            ->setRecipientJoin($recipientJoin)
            ->setTransactionJoin($transactionJoin)
            ->setUserJoin($userJoin)
            ->setVendorJoin($vendorJoin);
    }
    /**
     * Get basic value
     * @return \StructType\MessageSearchRowBasic|null
     */
    public function getBasic()
    {
        return $this->basic;
    }
    /**
     * Set basic value
     * @param \StructType\MessageSearchRowBasic $basic
     * @return \StructType\MessageSearchRow
     */
    public function setBasic(\StructType\MessageSearchRowBasic $basic = null)
    {
        $this->basic = $basic;
        return $this;
    }
    /**
     * Get attachmentsJoin value
     * @return \StructType\FileSearchRowBasic|null
     */
    public function getAttachmentsJoin()
    {
        return $this->attachmentsJoin;
    }
    /**
     * Set attachmentsJoin value
     * @param \StructType\FileSearchRowBasic $attachmentsJoin
     * @return \StructType\MessageSearchRow
     */
    public function setAttachmentsJoin(\StructType\FileSearchRowBasic $attachmentsJoin = null)
    {
        $this->attachmentsJoin = $attachmentsJoin;
        return $this;
    }
    /**
     * Get authorJoin value
     * @return \StructType\EntitySearchRowBasic|null
     */
    public function getAuthorJoin()
    {
        return $this->authorJoin;
    }
    /**
     * Set authorJoin value
     * @param \StructType\EntitySearchRowBasic $authorJoin
     * @return \StructType\MessageSearchRow
     */
    public function setAuthorJoin(\StructType\EntitySearchRowBasic $authorJoin = null)
    {
        $this->authorJoin = $authorJoin;
        return $this;
    }
    /**
     * Get campaignJoin value
     * @return \StructType\CampaignSearchRowBasic|null
     */
    public function getCampaignJoin()
    {
        return $this->campaignJoin;
    }
    /**
     * Set campaignJoin value
     * @param \StructType\CampaignSearchRowBasic $campaignJoin
     * @return \StructType\MessageSearchRow
     */
    public function setCampaignJoin(\StructType\CampaignSearchRowBasic $campaignJoin = null)
    {
        $this->campaignJoin = $campaignJoin;
        return $this;
    }
    /**
     * Get caseJoin value
     * @return \StructType\SupportCaseSearchRowBasic|null
     */
    public function getCaseJoin()
    {
        return $this->caseJoin;
    }
    /**
     * Set caseJoin value
     * @param \StructType\SupportCaseSearchRowBasic $caseJoin
     * @return \StructType\MessageSearchRow
     */
    public function setCaseJoin(\StructType\SupportCaseSearchRowBasic $caseJoin = null)
    {
        $this->caseJoin = $caseJoin;
        return $this;
    }
    /**
     * Get contactJoin value
     * @return \StructType\ContactSearchRowBasic|null
     */
    public function getContactJoin()
    {
        return $this->contactJoin;
    }
    /**
     * Set contactJoin value
     * @param \StructType\ContactSearchRowBasic $contactJoin
     * @return \StructType\MessageSearchRow
     */
    public function setContactJoin(\StructType\ContactSearchRowBasic $contactJoin = null)
    {
        $this->contactJoin = $contactJoin;
        return $this;
    }
    /**
     * Get customerJoin value
     * @return \StructType\CustomerSearchRowBasic|null
     */
    public function getCustomerJoin()
    {
        return $this->customerJoin;
    }
    /**
     * Set customerJoin value
     * @param \StructType\CustomerSearchRowBasic $customerJoin
     * @return \StructType\MessageSearchRow
     */
    public function setCustomerJoin(\StructType\CustomerSearchRowBasic $customerJoin = null)
    {
        $this->customerJoin = $customerJoin;
        return $this;
    }
    /**
     * Get employeeJoin value
     * @return \StructType\EmployeeSearchRowBasic|null
     */
    public function getEmployeeJoin()
    {
        return $this->employeeJoin;
    }
    /**
     * Set employeeJoin value
     * @param \StructType\EmployeeSearchRowBasic $employeeJoin
     * @return \StructType\MessageSearchRow
     */
    public function setEmployeeJoin(\StructType\EmployeeSearchRowBasic $employeeJoin = null)
    {
        $this->employeeJoin = $employeeJoin;
        return $this;
    }
    /**
     * Get entityJoin value
     * @return \StructType\EntitySearchRowBasic|null
     */
    public function getEntityJoin()
    {
        return $this->entityJoin;
    }
    /**
     * Set entityJoin value
     * @param \StructType\EntitySearchRowBasic $entityJoin
     * @return \StructType\MessageSearchRow
     */
    public function setEntityJoin(\StructType\EntitySearchRowBasic $entityJoin = null)
    {
        $this->entityJoin = $entityJoin;
        return $this;
    }
    /**
     * Get opportunityJoin value
     * @return \StructType\OpportunitySearchRowBasic|null
     */
    public function getOpportunityJoin()
    {
        return $this->opportunityJoin;
    }
    /**
     * Set opportunityJoin value
     * @param \StructType\OpportunitySearchRowBasic $opportunityJoin
     * @return \StructType\MessageSearchRow
     */
    public function setOpportunityJoin(\StructType\OpportunitySearchRowBasic $opportunityJoin = null)
    {
        $this->opportunityJoin = $opportunityJoin;
        return $this;
    }
    /**
     * Get originatingLeadJoin value
     * @return \StructType\OriginatingLeadSearchRowBasic|null
     */
    public function getOriginatingLeadJoin()
    {
        return $this->originatingLeadJoin;
    }
    /**
     * Set originatingLeadJoin value
     * @param \StructType\OriginatingLeadSearchRowBasic $originatingLeadJoin
     * @return \StructType\MessageSearchRow
     */
    public function setOriginatingLeadJoin(\StructType\OriginatingLeadSearchRowBasic $originatingLeadJoin = null)
    {
        $this->originatingLeadJoin = $originatingLeadJoin;
        return $this;
    }
    /**
     * Get partnerJoin value
     * @return \StructType\PartnerSearchRowBasic|null
     */
    public function getPartnerJoin()
    {
        return $this->partnerJoin;
    }
    /**
     * Set partnerJoin value
     * @param \StructType\PartnerSearchRowBasic $partnerJoin
     * @return \StructType\MessageSearchRow
     */
    public function setPartnerJoin(\StructType\PartnerSearchRowBasic $partnerJoin = null)
    {
        $this->partnerJoin = $partnerJoin;
        return $this;
    }
    /**
     * Get recipientJoin value
     * @return \StructType\EntitySearchRowBasic|null
     */
    public function getRecipientJoin()
    {
        return $this->recipientJoin;
    }
    /**
     * Set recipientJoin value
     * @param \StructType\EntitySearchRowBasic $recipientJoin
     * @return \StructType\MessageSearchRow
     */
    public function setRecipientJoin(\StructType\EntitySearchRowBasic $recipientJoin = null)
    {
        $this->recipientJoin = $recipientJoin;
        return $this;
    }
    /**
     * Get transactionJoin value
     * @return \StructType\TransactionSearchRowBasic|null
     */
    public function getTransactionJoin()
    {
        return $this->transactionJoin;
    }
    /**
     * Set transactionJoin value
     * @param \StructType\TransactionSearchRowBasic $transactionJoin
     * @return \StructType\MessageSearchRow
     */
    public function setTransactionJoin(\StructType\TransactionSearchRowBasic $transactionJoin = null)
    {
        $this->transactionJoin = $transactionJoin;
        return $this;
    }
    /**
     * Get userJoin value
     * @return \StructType\EmployeeSearchRowBasic|null
     */
    public function getUserJoin()
    {
        return $this->userJoin;
    }
    /**
     * Set userJoin value
     * @param \StructType\EmployeeSearchRowBasic $userJoin
     * @return \StructType\MessageSearchRow
     */
    public function setUserJoin(\StructType\EmployeeSearchRowBasic $userJoin = null)
    {
        $this->userJoin = $userJoin;
        return $this;
    }
    /**
     * Get vendorJoin value
     * @return \StructType\VendorSearchRowBasic|null
     */
    public function getVendorJoin()
    {
        return $this->vendorJoin;
    }
    /**
     * Set vendorJoin value
     * @param \StructType\VendorSearchRowBasic $vendorJoin
     * @return \StructType\MessageSearchRow
     */
    public function setVendorJoin(\StructType\VendorSearchRowBasic $vendorJoin = null)
    {
        $this->vendorJoin = $vendorJoin;
        return $this;
    }
}
